Subject: Re: Building DLL
From: "Gerrit P. Haase" <[email-masked]>
To: Maarten Boekhold <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Wed, 7 Jul 2004 18:35:19 +0200

Maarten wrote:

> Hi all,

> Now that GTK2 is in the package tree, I thought I'd give building XFCE a
> try. This package depends on 'Disk based hashes' (dbh), which needs to
> be built as a shared library. Dbh uses libtool in its build process.

> Of course this complains with

>         libtool: link: warning: undefined symbols not allowed in
>         i686-pc-cygwin shared libraries

> As far as I know, to get this to build I need to create a .def file, and
> somehow include this in the libtool invocation.

> Are there some general hints to determine which functions/symbols need
> to be included in this .def file, and how to modify the libtool 
> invocation to use this file?

You don't need .def files on Cygwin.  Just add -no-undefined to
libxyz_LDFLAGS.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/